import numpy as np

# Ширина и высота снимка в пикселях
CHUNK_WIDTH = 700

# Высота, с которой произведен снимок (в метрах)
CAMERA_HEIGHT = 150

# Угол обзора
CAMERA_FOV = np.radians(90)

# Матрица параметров камеры
_K_FOCUS_DISTANCE = np.tan(CAMERA_FOV / 2) * CHUNK_WIDTH / 2
_K_CENTER = CHUNK_WIDTH / 2
K = np.array([
    [_K_FOCUS_DISTANCE, 0, _K_CENTER],
    [0, _K_FOCUS_DISTANCE, _K_CENTER],
    [0, 0, 1]
])
